Bug 1477722 - Unable to provision against vmware with "multiple parents found" error
Unable to provision against vmware with "multiple parents found" error
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
All All
unspecified Severity high
: GA
: 5.7.4
Assigned To: Adam Grare
Nandini Chandra
: ZStream
Depends On: 1475405
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 13:34 EDT by Satoe Imaishi
Modified: 2018-02-02 16:01 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1475405
Environment:
Last Closed: 2017-12-18 15:27:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: VMware


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-08-02 13:36:02 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3f85b495969d3adf3e2f50856b662fce87b4abca

commit 3f85b495969d3adf3e2f50856b662fce87b4abca
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Thu Jul 27 17:44:29 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 2 13:34:53 2017 -0400

    Merge pull request #15671 from agrare/bz_1475405_multiple_parents_found
    
    Return VMs and Templates for EMS prev_relats
    (cherry picked from commit 3c599e9431c10e8073874b9093f0e6c005f13993)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1477722

 app/models/ems_refresh/metadata_relats.rb       | 13 ++++++-
 spec/models/ems_refresh/metadata_relats_spec.rb | 51 +++++++++++++++----------
 2 files changed, 41 insertions(+), 23 deletions(-)
Comment 3 CFME Bot 2017-08-02 13:41:15 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/2d5a70be5685b66b61cf1564c5f22ac917e2bd4c

commit 2d5a70be5685b66b61cf1564c5f22ac917e2bd4c
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon Jul 31 11:34:27 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 2 13:37:49 2017 -0400

    Merge pull request #15692 from agrare/fix_sporadic_metadata_relats_failure
    
    Matching on array order is failing sporadically
    (cherry picked from commit 81debfd3f5ed525d960643da702f1f5e57020a57)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1477722

 spec/models/ems_refresh/metadata_relats_spec.rb | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)
Comment 4 Nandini Chandra 2017-09-25 15:01:24 EDT
Verified in 5.7.4
Comment 7 errata-xmlrpc 2017-12-18 15:27:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3484

Note You need to log in before you can comment on or make changes to this bug.